=== modified file 'configure.ac'
--- configure.ac	2008-12-23 04:58:19 +0000
+++ configure.ac	2008-12-23 05:55:07 +0000
@@ -1148,6 +1148,7 @@
 AC_SUBST(mysql_plugin_dirs)
 AC_SUBST(mysql_plugin_libs)
 AC_SUBST(mysql_plugin_defs)
+AC_SUBST(DRIZZLED_PLUGIN_DEP_LIBS)
 
 
 AC_ARG_ENABLE([profiling],

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-12-23 04:58:19 +0000
+++ drizzled/Makefile.am	2008-12-23 05:55:07 +0000
@@ -355,7 +355,7 @@
 LDADD = $(top_builddir)/libdrizzle/libdrizzle.la \
 	$(top_builddir)/mysys/libmysys.la \
 	$(top_builddir)/mystrings/libmystrings.la \
-	$(Z_LIBS) $(LIBINTL) 
+	$(Z_LIBS) $(LIBINTL)
 
 drizzled_LDADD = ${noinst_LTLIBRARIES} \
 		 $(top_builddir)/libdrizzle/libdrizzle.la \
@@ -365,7 +365,8 @@
 		 -lprotobuf \
 		 $(LDADD) \
 		 $(CXXLDFLAGS) \
-		 $(LIBDL_LIBS) $(EVENT_LIBS) $(PROTOBUF_LIBS)
+		 $(LIBDL_LIBS) $(EVENT_LIBS) $(PROTOBUF_LIBS) \
+		 $(DRIZZLED_PLUGIN_DEP_LIBS)
 drizzled_DEPENDENCIES = @mysql_plugin_libs@ ${noinst_LTLIBRARIES}
 
 drizzled_LDFLAGS =

=== modified file 'plugin/md5/Makefile.am'
--- plugin/md5/Makefile.am	2008-12-22 22:58:12 +0000
+++ plugin/md5/Makefile.am	2008-12-23 05:55:07 +0000
@@ -17,8 +17,13 @@
 
 if BUILD_MD5_UDF
 EXTRA_LTLIBRARIES=	libmd5udf.la
-pkgplugin_LTLIBRARIES=	$(plugin_md5_static_target)
+pkgplugin_LTLIBRARIES=	@plugin_md5_shared_target@
 libmd5udf_la_LDFLAGS=	-module -avoid-version -rpath $(pkgplugindir)
 libmd5udf_la_LIBADD=	$(CRYPTO_LIBS)
+libmd5udf_la_CXXFLAGS=	-DDRIZZLE_DYNAMIC_PLUGIN
 libmd5udf_la_SOURCES=	md5udf.cc
+
+EXTRA_LIBRARIES=	libmd5udf.a
+pkgplugin_LIBRARIES=	@plugin_md5_static_target@
+libmd5udf_a_SOURCES=	md5udf.cc
 endif

=== modified file 'plugin/md5/plug.in'
--- plugin/md5/plug.in	2008-12-23 04:58:19 +0000
+++ plugin/md5/plug.in	2008-12-23 05:55:07 +0000
@@ -1,9 +1,9 @@
-DRIZZLE_PLUGIN(md5,[MD5 UDF],
-        [UDF Plugin for MD5])
-DRIZZLE_PLUGIN_STATIC(md5,   [libmd5udf.la])
-DRIZZLE_PLUGIN_ACTIONS(md5,  [
+DRIZZLE_PLUGIN(md5,[MD5 UDF], [UDF Plugin for MD5])
+DRIZZLE_PLUGIN_STATIC(md5, [libmd5udf.a])
+DRIZZLE_PLUGIN_DYNAMIC(md5, [libmd5udf.la])
+DRIZZLE_PLUGIN_ACTIONS(md5, [
   SEARCH_FOR_LIB(crypto, MD5, openssl/md5.h,
                  AC_MSG_WARN([MD5 not found in crypto lib: not building md5 plugin]))
-
+  DRIZZLED_PLUGIN_DEP_LIBS="${DRIZZLED_PLUGIN_DEP_LIBS} ${CRYPTO_LIBS}"
+  AM_CONDITIONAL(BUILD_MD5_UDF,[test "${ac_cv_have_crypto}" = "yes"])
 ])
-AM_CONDITIONAL(BUILD_MD5_UDF,[test "$ac_cv_have_crypto" = "yes"])

